- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes
lemon::dim2 Namespace Reference

## Detailed Description

This namespace is a storage of several tools for handling two dimensional coordinates

## Classes
class | Point
| Two dimensional vector (plain vector) More...
class | Box
| Bounding box of plain vectors (points). More...
class | XMap
| Map of x-coordinates of a `Point`-map. More...
class | ConstXMap
| Constant (read only) version of XMap. More...
class | YMap
| Map of y-coordinates of a `Point`-map. More...
class | ConstYMap
| Constant (read only) version of YMap. More...
class | NormSquareMap
| Map of the normSquare() of a `Point`-map. More...